### org.jfree.layouting.input.style.parser.stylehandler.font

# Class FontFamilyReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.font.FontFamilyReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class FontFamilyReadHandler`
`extends ListOfValuesReadHandler`

Creation-Date: 28.11.2005, 16:18:46

Author:
  Thomas Morgner

  ## Constructor Summary

  `FontFamilyReadHandler()`

  ## Method Summary

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  `protected CSSValue`

  `parseValue(LexicalUnit value)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.ListOfValuesReadHandler

  `createValue`, `getMaxCount`, `isDistinctValues`, `parseValue`

## Constructor Details

### FontFamilyReadHandler

    public FontFamilyReadHandler()

## Method Details

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler
> Overrides:
>   createValue in interface ListOfValuesReadHandler

### parseValue

    protected CSSValue parseValue(LexicalUnit value)

> Overrides:
>   parseValue in interface ListOfValuesReadHandler